Bug 89121 - .la file still references libbfd.so
Summary: .la file still references libbfd.so
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: binutils   
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-17 20:22 UTC by Havoc Pennington
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-07 10:30:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Havoc Pennington 2003-04-17 20:22:26 UTC
Package doesn't contain libbfd.so, but libbfd.la still contains a reference 
to it which confuses libtool when you're trying to statically link.

<lxo> hp_: deleting the link does indeed make sense in this case, but then one
should probably delete the .la file as well, or at least tweak it so as to
reflect the fact that only static linking is available

Comment 1 Jakub Jelinek 2004-10-07 10:30:36 UTC
Current binutils don't contain libbfd.la nor libopcodes.la.


Note You need to log in before you can comment on or make changes to this bug.